[Overview][Constants][Types][Classes][Index] | Reference for unit 'fgl' (#rtl)

# TFPGInterfacedObjectList.IndexOf

Index of object

## Declaration

Source position: fgl.pp line 231

`public function TFPGInterfacedObjectList.IndexOf(`
`const Item: T`
`):Integer;`

## Arguments

`Item` |  | Item to search in the list.

## Function result

Index of Item in the list or -1 if it is not in the list.

## Description

IndexOf returns the index of Item in the list, or -1 if the object does not appear in the list.

## Errors

None.

## See also

TFPGInterfacedObjectList.Items |  | Indexed access to objects in the list.
TFPGInterfacedObjectList.Insert |  | Insert a new object in the list
TFPGInterfacedObjectList.Add |  | Add new object of class T to the list.